WordPress.org

Support

Support » How-To and Troubleshooting » [Resolved] botched 2.9.2 upgrade, now stuck…

[Resolved] botched 2.9.2 upgrade, now stuck…

  • zthornton
    Member

    @zthornton

    Something went wrong in the middle of auto-upgrading:

    The install hung, when I tried to recover it all I get now is:

    Warning: wp_maybe_load_embeds(/mnt/w0223/d29/s15/b02cfd04/www/washingtonsportsnetwork.com/blog/wp-includes/default-embeds.php) [function.wp-maybe-load-embeds]: failed to open stream: No such file or directory in /mnt/w0223/d29/s15/b02cfd04/www/washingtonsportsnetwork.com/blog/wp-includes/functions.php on line 2766

    I searched a backup of the files and could not find any default-embeds.php file

    What can I do to recover? Thanks in advance!

Viewing 2 replies - 1 through 2 (of 2 total)
  • wphelpcenter
    Member

    @wphelpcenter

    Your best bet at this point will be to perform a manual upgrade. You can find the steps to do this here: http://codex.wordpress.org/Updating_WordPress

    Even though your current installation is “broken,” I would still recommend you perform a backup of it so that you don’t risk losing the files in your wp-content directory and also do a database backup so that you can restore that back to where you are now if needed.

    zthornton
    Member

    @zthornton

    Thanks!

    I had an old backup of the WP files, I FTPd the files back up and was able to login.

    From there it allowed me to try the failed upgrade again.

    I backed up the DB (this time) and ran the upgrade.

    All is well now! Thanks!

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Resolved] botched 2.9.2 upgrade, now stuck…’ is closed to new replies.